Index: pacemaker/pengine/test10/complex_enforce_colo.exp
===================================================================
--- pacemaker.orig/pengine/test10/complex_enforce_colo.exp
+++ pacemaker/pengine/test10/complex_enforce_colo.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="224" operation="stop" operation_key="keystone_stop_0" internal_operation_key="keystone:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="keystone" long-id="keystone:0" class="systemd" type="openstack-keystone"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="225" operation="stop" operation_key="keystone_stop_0" internal_operation_key="keystone:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="keystone" long-id="keystone:1" class="systemd" type="openstack-keystone"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -53,7 +53,7 @@
     <action_set>
       <rsc_op id="226" operation="stop" operation_key="keystone_stop_0" internal_operation_key="keystone:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="keystone" long-id="keystone:2" class="systemd" type="openstack-keystone"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -126,7 +126,7 @@
     <action_set>
       <rsc_op id="241" operation="stop" operation_key="glance-registry_stop_0" internal_operation_key="glance-registry:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="glance-registry" long-id="glance-registry:0" class="systemd" type="openstack-glance-registry"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -142,7 +142,7 @@
     <action_set>
       <rsc_op id="243" operation="stop" operation_key="glance-registry_stop_0" internal_operation_key="glance-registry:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="glance-registry" long-id="glance-registry:1" class="systemd" type="openstack-glance-registry"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -158,7 +158,7 @@
     <action_set>
       <rsc_op id="245" operation="stop" operation_key="glance-registry_stop_0" internal_operation_key="glance-registry:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="glance-registry" long-id="glance-registry:2" class="systemd" type="openstack-glance-registry"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -207,7 +207,7 @@
     <action_set>
       <rsc_op id="251" operation="stop" operation_key="glance-api_stop_0" internal_operation_key="glance-api:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="glance-api" long-id="glance-api:0" class="systemd" type="openstack-glance-api"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -220,7 +220,7 @@
     <action_set>
       <rsc_op id="253" operation="stop" operation_key="glance-api_stop_0" internal_operation_key="glance-api:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="glance-api" long-id="glance-api:1" class="systemd" type="openstack-glance-api"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -233,7 +233,7 @@
     <action_set>
       <rsc_op id="255" operation="stop" operation_key="glance-api_stop_0" internal_operation_key="glance-api:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="glance-api" long-id="glance-api:2" class="systemd" type="openstack-glance-api"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -275,7 +275,7 @@
     <action_set>
       <rsc_op id="261" operation="stop" operation_key="cinder-api_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="cinder-api" class="systemd" type="openstack-cinder-api"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -288,7 +288,7 @@
     <action_set>
       <rsc_op id="263" operation="stop" operation_key="cinder-scheduler_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="cinder-scheduler" class="systemd" type="openstack-cinder-scheduler"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -301,7 +301,7 @@
     <action_set>
       <rsc_op id="265" operation="stop" operation_key="cinder-volume_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="cinder-volume" class="systemd" type="openstack-cinder-volume"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -310,7 +310,7 @@
     <action_set>
       <rsc_op id="277" operation="stop" operation_key="swift-account_stop_0" internal_operation_key="swift-account:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="swift-account" long-id="swift-account:0" class="systemd" type="openstack-swift-account"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -329,7 +329,7 @@
     <action_set>
       <rsc_op id="279" operation="stop" operation_key="swift-account_stop_0" internal_operation_key="swift-account:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="swift-account" long-id="swift-account:1" class="systemd" type="openstack-swift-account"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -348,7 +348,7 @@
     <action_set>
       <rsc_op id="281" operation="stop" operation_key="swift-account_stop_0" internal_operation_key="swift-account:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="swift-account" long-id="swift-account:2" class="systemd" type="openstack-swift-account"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -403,7 +403,7 @@
     <action_set>
       <rsc_op id="287" operation="stop" operation_key="swift-container_stop_0" internal_operation_key="swift-container:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="swift-container" long-id="swift-container:0" class="systemd" type="openstack-swift-container"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -419,7 +419,7 @@
     <action_set>
       <rsc_op id="289" operation="stop" operation_key="swift-container_stop_0" internal_operation_key="swift-container:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="swift-container" long-id="swift-container:1" class="systemd" type="openstack-swift-container"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -435,7 +435,7 @@
     <action_set>
       <rsc_op id="291" operation="stop" operation_key="swift-container_stop_0" internal_operation_key="swift-container:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="swift-container" long-id="swift-container:2" class="systemd" type="openstack-swift-container"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -484,7 +484,7 @@
     <action_set>
       <rsc_op id="297" operation="stop" operation_key="swift-object_stop_0" internal_operation_key="swift-object:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="swift-object" long-id="swift-object:0" class="systemd" type="openstack-swift-object"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -497,7 +497,7 @@
     <action_set>
       <rsc_op id="299" operation="stop" operation_key="swift-object_stop_0" internal_operation_key="swift-object:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="swift-object" long-id="swift-object:1" class="systemd" type="openstack-swift-object"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -510,7 +510,7 @@
     <action_set>
       <rsc_op id="301" operation="stop" operation_key="swift-object_stop_0" internal_operation_key="swift-object:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="swift-object" long-id="swift-object:2" class="systemd" type="openstack-swift-object"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -552,7 +552,7 @@
     <action_set>
       <rsc_op id="307" operation="stop" operation_key="swift-proxy_stop_0" internal_operation_key="swift-proxy:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="swift-proxy" long-id="swift-proxy:0" class="systemd" type="openstack-swift-proxy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -565,7 +565,7 @@
     <action_set>
       <rsc_op id="309" operation="stop" operation_key="swift-proxy_stop_0" internal_operation_key="swift-proxy:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="swift-proxy" long-id="swift-proxy:1" class="systemd" type="openstack-swift-proxy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -578,7 +578,7 @@
     <action_set>
       <rsc_op id="311" operation="stop" operation_key="swift-proxy_stop_0" internal_operation_key="swift-proxy:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="swift-proxy" long-id="swift-proxy:2" class="systemd" type="openstack-swift-proxy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -624,7 +624,7 @@
     <action_set>
       <rsc_op id="317" operation="stop" operation_key="swift-object-expirer_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="swift-object-expirer" class="systemd" type="openstack-swift-object-expirer"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -633,7 +633,7 @@
     <action_set>
       <rsc_op id="319" operation="stop" operation_key="neutron-server_stop_0" internal_operation_key="neutron-server:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-server" long-id="neutron-server:0" class="systemd" type="neutron-server"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -649,7 +649,7 @@
     <action_set>
       <rsc_op id="321" operation="stop" operation_key="neutron-server_stop_0" internal_operation_key="neutron-server:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-server" long-id="neutron-server:1" class="systemd" type="neutron-server"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -665,7 +665,7 @@
     <action_set>
       <rsc_op id="323" operation="stop" operation_key="neutron-server_stop_0" internal_operation_key="neutron-server:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-server" long-id="neutron-server:2" class="systemd" type="neutron-server"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -714,7 +714,7 @@
     <action_set>
       <rsc_op id="329" operation="stop" operation_key="neutron-scale:0_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-scale:0" class="ocf" provider="neutron" type="NeutronScale"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -730,7 +730,7 @@
     <action_set>
       <rsc_op id="331" operation="stop" operation_key="neutron-scale:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-scale:1" class="ocf" provider="neutron" type="NeutronScale"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -746,7 +746,7 @@
     <action_set>
       <rsc_op id="333" operation="stop" operation_key="neutron-scale:2_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-scale:2" class="ocf" provider="neutron" type="NeutronScale"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="true" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -795,7 +795,7 @@
     <action_set>
       <rsc_op id="339" operation="stop" operation_key="neutron-ovs-cleanup_stop_0" internal_operation_key="neutron-ovs-cleanup:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-ovs-cleanup" long-id="neutron-ovs-cleanup:0" class="ocf" provider="neutron" type="OVSCleanup"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -811,7 +811,7 @@
     <action_set>
       <rsc_op id="341" operation="stop" operation_key="neutron-ovs-cleanup_stop_0" internal_operation_key="neutron-ovs-cleanup:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-ovs-cleanup" long-id="neutron-ovs-cleanup:1" class="ocf" provider="neutron" type="OVSCleanup"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -827,7 +827,7 @@
     <action_set>
       <rsc_op id="343" operation="stop" operation_key="neutron-ovs-cleanup_stop_0" internal_operation_key="neutron-ovs-cleanup:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-ovs-cleanup" long-id="neutron-ovs-cleanup:2" class="ocf" provider="neutron" type="OVSCleanup"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -876,7 +876,7 @@
     <action_set>
       <rsc_op id="349" operation="stop" operation_key="neutron-netns-cleanup_stop_0" internal_operation_key="neutron-netns-cleanup:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-netns-cleanup" long-id="neutron-netns-cleanup:0" class="ocf" provider="neutron" type="NetnsCleanup"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -892,7 +892,7 @@
     <action_set>
       <rsc_op id="351" operation="stop" operation_key="neutron-netns-cleanup_stop_0" internal_operation_key="neutron-netns-cleanup:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-netns-cleanup" long-id="neutron-netns-cleanup:1" class="ocf" provider="neutron" type="NetnsCleanup"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -908,7 +908,7 @@
     <action_set>
       <rsc_op id="353" operation="stop" operation_key="neutron-netns-cleanup_stop_0" internal_operation_key="neutron-netns-cleanup:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-netns-cleanup" long-id="neutron-netns-cleanup:2" class="ocf" provider="neutron" type="NetnsCleanup"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_timeout="300000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_name="stop" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="300000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -957,7 +957,7 @@
     <action_set>
       <rsc_op id="359" operation="stop" operation_key="neutron-openvswitch-agent_stop_0" internal_operation_key="neutron-openvswitch-agent:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-openvswitch-agent" long-id="neutron-openvswitch-agent:0" class="systemd" type="neutron-openvswitch-agent"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -973,7 +973,7 @@
     <action_set>
       <rsc_op id="361" operation="stop" operation_key="neutron-openvswitch-agent_stop_0" internal_operation_key="neutron-openvswitch-agent:1_stop_0" on_node="rhos6-node2" on_node_uuid="2">
         <primitive id="neutron-openvswitch-agent" long-id="neutron-openvswitch-agent:1" class="systemd" type="neutron-openvswitch-agent"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -989,7 +989,7 @@
     <action_set>
       <rsc_op id="363" operation="stop" operation_key="neutron-openvswitch-agent_stop_0" internal_operation_key="neutron-openvswitch-agent:2_stop_0" on_node="rhos6-node3" on_node_uuid="3">
         <primitive id="neutron-openvswitch-agent" long-id="neutron-openvswitch-agent:2" class="systemd" type="neutron-openvswitch-agent"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -1038,7 +1038,7 @@
     <action_set>
       <rsc_op id="369" operation="stop" operation_key="neutron-dhcp-agent_stop_0" internal_operation_key="neutron-dhcp-agent:0_stop_0" on_node="rhos6-node1" on_node_uuid="1">
         <primitive id="neutron-dhcp-agent" long-id="neutron-dhcp-agent:0" class="systemd" type="neutron-dhcp-agent"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="rhos6-node1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
